Bug 1128565 - [abrt] lpf: subprocess.py:573:check_output:CalledProcessError: Command '['/usr/share/lpf/scripts/lpf', 'state']' returned non-zero exit status -15
Summary: [abrt] lpf: subprocess.py:573:check_output:CalledProcessError: Command '['/us...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: lpf
Version: 35
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Alec Leamas
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:ca0719f331655a7c62f22fb08ed...
: 1109596 1173893 1190482 1252011 1288753 1355826 1481369 1511182 1518827 1582872 1740931 1776122 1787771 1795339 1818428 1833687 1844703 1885081 1893616 1898434 1953055 1963729 1981098 2008000 2016793 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-11 06:16 UTC by Stefan Ringel
Modified: 2021-10-29 23:02 UTC (History)
26 users (show)

Fixed In Version: lpf-0.3-1.fc33 lpf-0.3-1.fc34 lpf-0.3-1.el8 lpf-0.3-1.fc35
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-17 21:24:01 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (859 bytes, text/plain)
2014-08-11 06:16 UTC, Stefan Ringel
no flags Details
File: environ (2.50 KB, text/plain)
2014-08-11 06:16 UTC, Stefan Ringel
no flags Details

Description Stefan Ringel 2014-08-11 06:16:39 UTC
Version-Release number of selected component:
lpf-0.1-7.36e5aa0.fc21

Additional info:
reporter:       libreport-2.2.3
cmdline:        python /usr/bin/lpf-gui
dso_list:       python-libs-2.7.8-3.fc22.x86_64
executable:     /usr/bin/lpf-gui
kernel:         3.16.0-1.fc22.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
subprocess.py:573:check_output:CalledProcessError: Command '['/usr/share/lpf/scripts/lpf', 'state']' returned non-zero exit status -15

Traceback (most recent call last):
  File "/usr/bin/lpf-gui", line 204, in on_view_item_activate_cb
    self.update_main_grid()
  File "/usr/bin/lpf-gui", line 279, in update_main_grid
    subprocess.check_output([here('lpf'), 'state']).split('\n')
  File "/usr/lib64/python2.7/subprocess.py", line 573, in check_output
    raise CalledProcessError(retcode, cmd, output=output)
CalledProcessError: Command '['/usr/share/lpf/scripts/lpf', 'state']' returned non-zero exit status -15

Local variables in innermost frame:
retcode: -15
process: <subprocess.Popen object at 0x7f28100dbb10>
cmd: ['/usr/share/lpf/scripts/lpf', 'state']
unused_err: None
kwargs: {}
output: ''
popenargs: (['/usr/share/lpf/scripts/lpf', 'state'],)

Comment 1 Stefan Ringel 2014-08-11 06:16:41 UTC
Created attachment 925618 [details]
File: backtrace

Comment 2 Stefan Ringel 2014-08-11 06:16:43 UTC
Created attachment 925619 [details]
File: environ

Comment 3 Alec Leamas 2014-08-30 08:15:42 UTC
Hm... what happens if you run that command: /usr/share/lpf/scripts/lpf state

Also what happens if you run that command in group pkg-build?

sg pkg-build "/usr/share/lpf/scripts/lpf state"

Comment 4 Stefan Ringel 2014-08-30 11:53:24 UTC
today this:

/usr/share/lpf/scripts/lpf state
[sringel@media12 totem]$ /usr/share/lpf/scripts/lpf state
flash-plugin             OK             11.2.202.394-1.fc22      
[sringel@media12 totem]$ sg pkg-build "/usr/share/lpf/scripts/lpf state"
flash-plugin             OK             11.2.202.394-1.fc22      
[sringel@media12 totem]$ 

ps: many updates between 2014-08-11 and today!

Comment 5 Jaroslav Reznik 2015-03-03 16:11:51 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 6 Fedora End Of Life 2016-07-19 12:00:26 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 7 Sergio Basto 2021-05-27 10:25:44 UTC
this is comment in several at same time, all these bugs I believe are duplicated , but mass bug change doesn't let me mark it as duplicated , I will try do it manually 

I think I found a way to reproduce it , finally .

Do you see a message "Error getting authority: Error initializing authority: Could not connect: No such file or directory" before the stacktrace

Comment 8 Sergio Basto 2021-05-27 10:34:41 UTC
*** Bug 1893616 has been marked as a duplicate of this bug. ***

Comment 9 Sergio Basto 2021-05-27 10:34:50 UTC
*** Bug 1795339 has been marked as a duplicate of this bug. ***

Comment 10 Sergio Basto 2021-05-27 10:35:00 UTC
*** Bug 1953055 has been marked as a duplicate of this bug. ***

Comment 11 Sergio Basto 2021-05-27 10:35:12 UTC
*** Bug 1511182 has been marked as a duplicate of this bug. ***

Comment 12 Sergio Basto 2021-05-27 10:35:22 UTC
*** Bug 1190482 has been marked as a duplicate of this bug. ***

Comment 13 Sergio Basto 2021-05-27 10:35:33 UTC
*** Bug 1844703 has been marked as a duplicate of this bug. ***

Comment 14 Sergio Basto 2021-05-27 10:35:47 UTC
*** Bug 1288753 has been marked as a duplicate of this bug. ***

Comment 15 Sergio Basto 2021-05-27 10:36:06 UTC
*** Bug 1355826 has been marked as a duplicate of this bug. ***

Comment 16 Sergio Basto 2021-05-27 10:36:25 UTC
*** Bug 1833687 has been marked as a duplicate of this bug. ***

Comment 17 Sergio Basto 2021-05-27 10:40:01 UTC
*** Bug 1740931 has been marked as a duplicate of this bug. ***

Comment 18 Sergio Basto 2021-05-27 10:40:14 UTC
*** Bug 1898434 has been marked as a duplicate of this bug. ***

Comment 19 Sergio Basto 2021-05-27 10:41:50 UTC
*** Bug 1109596 has been marked as a duplicate of this bug. ***

Comment 20 Sergio Basto 2021-05-27 10:43:09 UTC
*** Bug 1885081 has been marked as a duplicate of this bug. ***

Comment 21 Sergio Basto 2021-05-27 10:44:28 UTC
*** Bug 1818428 has been marked as a duplicate of this bug. ***

Comment 22 Sergio Basto 2021-05-27 10:44:59 UTC
*** Bug 1518827 has been marked as a duplicate of this bug. ***

Comment 23 Sergio Basto 2021-05-27 10:45:54 UTC
*** Bug 1776122 has been marked as a duplicate of this bug. ***

Comment 24 Sergio Basto 2021-05-27 10:51:07 UTC
*** Bug 1787771 has been marked as a duplicate of this bug. ***

Comment 25 Sergio Basto 2021-05-27 10:51:45 UTC
*** Bug 1582872 has been marked as a duplicate of this bug. ***

Comment 26 Sergio Basto 2021-05-27 10:51:58 UTC
*** Bug 1481369 has been marked as a duplicate of this bug. ***

Comment 27 Sergio Basto 2021-05-27 10:52:30 UTC
*** Bug 1173893 has been marked as a duplicate of this bug. ***

Comment 28 Sergio Basto 2021-05-27 10:52:48 UTC
*** Bug 1252011 has been marked as a duplicate of this bug. ***

Comment 29 Sergio Basto 2021-05-27 11:06:52 UTC
*** Bug 1963729 has been marked as a duplicate of this bug. ***

Comment 30 Ben Cotton 2021-08-10 12:44:23 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 35 development cycle.
Changing version to 35.

Comment 31 Fedora Update System 2021-10-10 00:18:11 UTC
FEDORA-2021-e89aff3128 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-e89aff3128

Comment 32 Fedora Update System 2021-10-10 00:18:29 UTC
FEDORA-2021-86e4837cee has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-86e4837cee

Comment 33 Fedora Update System 2021-10-10 00:18:46 UTC
FEDORA-2021-d655861edd has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-d655861edd

Comment 34 Fedora Update System 2021-10-10 03:46:55 UTC
FEDORA-2021-d655861edd has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-d655861edd`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-d655861edd

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 35 Fedora Update System 2021-10-10 03:49:40 UTC
FEDORA-2021-86e4837cee has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-86e4837cee`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-86e4837cee

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 36 Fedora Update System 2021-10-10 17:41:07 UTC
FEDORA-2021-e89aff3128 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-e89aff3128`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-e89aff3128

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 37 Sergio Basto 2021-10-11 01:28:15 UTC
*** Bug 1981098 has been marked as a duplicate of this bug. ***

Comment 38 Sergio Basto 2021-10-11 01:29:14 UTC
*** Bug 2008000 has been marked as a duplicate of this bug. ***

Comment 39 Fedora Update System 2021-10-11 11:13:35 UTC
FEDORA-EPEL-2021-b81b53b69f has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-b81b53b69f

Comment 40 Fedora Update System 2021-10-11 21:53:31 UTC
FEDORA-EPEL-2021-b81b53b69f has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-b81b53b69f

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 41 Fedora Update System 2021-10-17 21:24:01 UTC
FEDORA-2021-d655861edd has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 42 Fedora Update System 2021-10-17 21:58:31 UTC
FEDORA-2021-86e4837cee has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 43 Fedora Update System 2021-10-19 01:00:09 UTC
FEDORA-EPEL-2021-b81b53b69f has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 44 Sergio Basto 2021-10-24 03:42:48 UTC
*** Bug 2016793 has been marked as a duplicate of this bug. ***

Comment 45 Fedora Update System 2021-10-29 23:02:25 UTC
FEDORA-2021-e89aff3128 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.